--- old/usr/src/cmd/fs.d/reparsed/reparsed.c	Thu Jan 24 09:54:37 2019
+++ new/usr/src/cmd/fs.d/reparsed/reparsed.c	Thu Jan 24 09:54:37 2019
@@ -24,6 +24,10 @@
  */
 
 /*
+ * Copyright (c) 2018, Joyent, Inc.
+ */
+
+/*
  * Reparsed daemon
  */
 
@@ -191,10 +195,11 @@
 	memset(&rpd_res, 0, sizeof (reparsed_door_res_t));
 	rpd_res.res_status = error;
 	rpd_res.res_len = buflen;
-	door_return((char *)&rpd_res, sizeof (reparsed_door_res_t), NULL, 0);
+	(void) door_return((char *)&rpd_res,
+	    sizeof (reparsed_door_res_t), NULL, 0);
 
 	(void) door_return(NULL, 0, NULL, 0);
-	/* NOTREACHED */
+	abort();
 }
 
 /*
